
Redmine - Patch #1717

Show diff for issue description change

2008-07-30 16:47 - Artem Vasiliev

Status: Closed Start date: 2008-07-30

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Description

This patch closes both #328 (put the fact of description change to issue history) and #746 (visualize description change).

It goes rather simple path and relies on availability of 'diff' utility (not a problem in many cases).

I just upgraded JournalDetails' values to :text field type (from :string of 256 symbols); better approach might be introducing Issue

versioning with acts_as_versioned and making JournalDetails refer to previous and next versions of issue; but I thought this would be

too heavy for this patch and better would be another improvement (if needed).

Contributed by Texuna Technologies.

Related issues:

Related to Redmine - Feature #2503: History of Ticket-Description Closed 2009-01-13

Related to Redmine - Feature #746: Versioned issue descriptions Closed 2008-02-27

History

#1 - 2008-07-30 19:50 - Artem Vasiliev

- File issue_description_diff.png added

#2 - 2008-08-10 09:20 - Markus Knittig

- File issue_description_diff_svn_head.patch added

Looks good!

#3 - 2008-12-17 12:43 - Artem Vasiliev

Made the link to description diff work in email notifications: http://github.com/artemv/redmine_tt/commit/a34088241412b13f80dfd501c9c92524f4fdf4f9

#4 - 2009-02-09 19:23 - Reach Everywhere

+1

#5 - 2009-04-10 19:33 - Reach Everywhere

This patch is awesome.

#6 - 2009-04-22 12:24 - Jens Goldhammer

+1

#7 - 2010-11-27 05:42 - Mischa The Evil

See the plugin-announcement by Aleksander Palyan in note-12 of issue #746 which might solves this issue without hacking the core.

#8 - 2011-02-27 14:40 - Jean-Philippe Lang

- Status changed from New to Closed

Superseded by r4954, see #746.

Files

issue_description_diff.patch 8.31 KB 2008-07-30 Artem Vasiliev

issue_description_diff.png 57.4 KB 2008-07-30 Artem Vasiliev

issue_description_diff_svn_head.patch 6.72 KB 2008-08-10 Markus Knittig
